package com.fs.company.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.company.mapper.CompanyVoiceApiMapper;
import com.fs.company.domain.CompanyVoiceApi;
import com.fs.company.service.ICompanyVoiceApiService;

/**
 * 呼叫接口Service业务层处理
 * 
 * @author fs
 * @date 2021-10-04
 */
@Service
public class CompanyVoiceApiServiceImpl implements ICompanyVoiceApiService 
{
    @Autowired
    private CompanyVoiceApiMapper companyVoiceApiMapper;

    /**
     * 查询呼叫接口
     * 
     * @param apiId 呼叫接口ID
     * @return 呼叫接口
     */
    @Override
    public CompanyVoiceApi selectCompanyVoiceApiById(Long apiId)
    {
        return companyVoiceApiMapper.selectCompanyVoiceApiById(apiId);
    }

    /**
     * 查询呼叫接口列表
     * 
     * @param companyVoiceApi 呼叫接口
     * @return 呼叫接口
     */
    @Override
    public List<CompanyVoiceApi> selectCompanyVoiceApiList(CompanyVoiceApi companyVoiceApi)
    {
        return companyVoiceApiMapper.selectCompanyVoiceApiList(companyVoiceApi);
    }

    /**
     * 新增呼叫接口
     * 
     * @param companyVoiceApi 呼叫接口
     * @return 结果
     */
    @Override
    public int insertCompanyVoiceApi(CompanyVoiceApi companyVoiceApi)
    {
        return companyVoiceApiMapper.insertCompanyVoiceApi(companyVoiceApi);
    }

    /**
     * 修改呼叫接口
     * 
     * @param companyVoiceApi 呼叫接口
     * @return 结果
     */
    @Override
    public int updateCompanyVoiceApi(CompanyVoiceApi companyVoiceApi)
    {
        return companyVoiceApiMapper.updateCompanyVoiceApi(companyVoiceApi);
    }

    /**
     * 批量删除呼叫接口
     * 
     * @param apiIds 需要删除的呼叫接口ID
     * @return 结果
     */
    @Override
    public int deleteCompanyVoiceApiByIds(Long[] apiIds)
    {
        return companyVoiceApiMapper.deleteCompanyVoiceApiByIds(apiIds);
    }

    /**
     * 删除呼叫接口信息
     * 
     * @param apiId 呼叫接口ID
     * @return 结果
     */
    @Override
    public int deleteCompanyVoiceApiById(Long apiId)
    {
        return companyVoiceApiMapper.deleteCompanyVoiceApiById(apiId);
    }

    @Override
    public Integer selectCompanyVoiceApiCount() {
        return companyVoiceApiMapper.selectCompanyVoiceApiCount();
    }
}
